summaryrefslogtreecommitdiff
path: root/utils/installer/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/installer/install.sh')
-rwxr-xr-xutils/installer/install.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/utils/installer/install.sh b/utils/installer/install.sh
index 2903dd7f..ec675e6d 100755
--- a/utils/installer/install.sh
+++ b/utils/installer/install.sh
@@ -206,6 +206,15 @@ function check_neovim_min_version() {
fi
}
+function verify_core_plugins() {
+ msg "Verifying core plugins"
+ if ! bash "$LUNARVIM_BASE_DIR/utils/ci/verify_plugins.sh"; then
+ echo "[ERROR]: Unable to verify plugins, makde sure to manually run ':PackerSync' when starting lvim for the first time."
+ exit 1
+ fi
+ echo "Verification complete!"
+}
+
function validate_lunarvim_files() {
local verify_version_cmd='if v:errmsg != "" | cquit | else | quit | endif'
if ! "$INSTALL_PREFIX/bin/lvim" --headless -c 'LvimUpdate' -c "$verify_version_cmd" &>/dev/null; then
@@ -418,6 +427,8 @@ function setup_lvim() {
-c 'PackerSync'
echo "Packer setup complete"
+
+ verify_core_plugins
}
function print_logo() {